##### thread_pool::thread_pool (3 of 6 overloads)

Constructs a pool with a specified number of threads.

    thread_pool(
        std::size_t num_threads);

###### Parameters

num_threads

  The number of threads required.

Copyright © 2003-2025 Christopher M. Kohlhoff

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)